Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions
Class PropertyWindowActionDelegate

    java.lang.Object
      AbstractActionDelegate
          org.eclipse.gmf.runtime.common.ui.action.actions.PropertyWindowActionDelegate

All Implemented Interfaces:
  IActionDelegate, IActionDelegate2, IEditorActionDelegate, IViewActionDelegate

    public class PropertyWindowActionDelegate

extends AbstractActionDelegate
implements IEditorActionDelegate, IViewActionDelegate, IActionDelegate2

Action delegate to show the properties window or give it focus if it's already visible.

Constructor Summary
`PropertyWindowActionDelegate()`

Method Summary
`protected void` `doRun(IProgressMonitor progressMonitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorActionDelegate
`setActiveEditor`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Methods inherited from interface org.eclipse.ui.IViewActionDelegate
`init`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Methods inherited from interface org.eclipse.ui.IActionDelegate2
`dispose, init, runWithEvent`

Methods inherited from interface org.eclipse.ui.IActionDelegate
`run, selectionChanged`

Constructor Detail

### PropertyWindowActionDelegate

    public PropertyWindowActionDelegate()

Method Detail

### doRun

    protected void doRun(IProgressMonitor progressMonitor)

  See Also:
    `org.eclipse.gmf.runtime.common.ui.action.AbstractActionDelegate#doRun(IProgressMonitor)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.